Summary: A graphical interface for viewing log files
Name: redhat-logviewer 
Version: 0.8.3
Release: 2
URL: http://www.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
BuildRequires: python-devel
BuildRequires: desktop-file-utils
Requires: pygtk2
Requires: python2
Requires: usermode >= 1.36

%description
Red Hat Log Viewer is a graphical interface for
viewing and searching log files.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
desktop-file-install --vendor redhat --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d %{_datadir}/%{name} ] ; then
  rm -rf %{_datadir}/%{name}/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%doc doc/*
/usr/bin/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/*.py
%attr(0644,root,root) %{_mandir}/man8/%{name}*
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop
%attr(0644,root,root) %{_datadir}/pixmaps/%{name}.png
%attr(0644,root,root) %{_datadir}/%{name}/pixmaps/search-icon.png
%attr(0644,root,root) %{_datadir}/%{name}/pixmaps/blank.png
%attr(0644,root,root) %{_datadir}/%{name}/pixmaps/alert.png
%attr(0644,root,root) %{_datadir}/%{name}/pixmaps/alert-big.png
%attr(0644,root,root) %config(noreplace) /etc/sysconfig/%{name}
%attr(0644,root,root) %config(noreplace) /etc/security/console.apps/%{name}
%attr(0644,root,root) %config(noreplace) /etc/pam.d/%{name}

%changelog
* Tue Sep 02 2002 Tammy Fox <tfox@redhat.com> 0.8.3-2
- rebuild with latest ko translations

* Mon Sep 02 2002 Tammy Fox <tfox@redhat.com> 0.8.3-1
- update Norwegian desktop file translation (#73171)
- rebuild with latest translations
- patch from tagoh@redhat.com (#70236)

* Wed Aug 28 2002 Tammy Fox <tfox@redhat.com> 0.8.2-4
- if LANG=ru_RU.UTF-8, try to read as UTF-8 then koi8-r encoding

* Thu Aug 22 2002 Tammy Fox <tfox@redhat.com> 0.8.2-3
- apply pgampe's patch, set encoding to iso-8859-1 by default

* Wed Aug 21 2002 Paul Gampe <pgampe@redhat.com> 0.8.2-2
- switch to iconv for native to utf-8 encoding conversion

* Thu Aug 15 2002 Tammy Fox <tfox@redhat.com> 0.8.2-1
- hack to detect encoding of log file and convert to utf-8
- more user-friendly strings (bugs 71567 and 71581)

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.8.1-3
-fix utf-8 bug #71170

* Wed Aug 07 2002 Tammy Fox <tfox@redhat.com> 0.8.1-2
- fix desktop file translations

* Tue Aug 06 2002 Tammy Fox <tfox@redhat.com> 0.8.1-1
- add window icons

* Mon Aug 05 2002 Tammy Fox <tfox@redhat.com>
- add pam_timestamp

* Fri Aug 02 2002 Tammy Fox <tfox@redhat.com>
- change Help Contents to Contents

* Wed Jul 31 2002 Tammy Fox <tfox@redhat.com>
- filter tweak
- docs edits
- convert po/mo files to UTF-8 (bug #70236)

* Fri Jul 26 2002 Tammy Fox <tfox@redhat.com>
- UI changes (bug #69889)

* Tue Jul 23 2002 Tammy Fox <tfox@redhat.com>
- add icon

* Mon Jul 22 2002 Tammy Fox <tfox@redhat.com>
- change desktop name to System Logs (bug #69492)

* Wed Jul 17 2002 Tammy Fox <tfox@redhat.com>
- add docs and about box

* Fri Jul 12 2002 Tammy Fox <tfox@redhat.com>
- move desktop file to /usr/share/applications only

* Sun Jun 23 2002 Tammy Fox <tfox@redhat.com>
- add alert icon for defined alert words

* Wed May 29 2002 Tammy Fox <tfox@redhat.com>
- add command line options --width and --height
- add tags to buffer to control attributes of font and spacing

* Mon May 27 2002 Tammy Fox <tfox@redhat.com>
- interface tweaks

* Wed May 15 2002 Tammy Fox <tfox@redhat.com>
- implement LogFileClass
- make more robust

* Tue Feb 19 2002 Tammy Fox <tfox@redhat.com>
- changed reset button to refresh button
- added icon to search button

* Mon Feb 11 2002 Tammy Fox <tfox@redhat.com>
- added refresh rate preference

* Tue Jan 29 2002 Tammy Fox <tfox@redhat.com>
- build version 0.1

* Tue Dec 11 2001 Tammy Fox <tfox@redhat.com>
- Initial packaging
